Package Gnumed :: Package wxpython :: Module gmDemographicsWidgets :: Class cPersonDemographicsEditorNb |
[frames] | no frames]

# Class cPersonDemographicsEditorNb

source code

    wx.Notebook --+
                  |
                 cPersonDemographicsEditorNb

Notebook displaying demographics editing pages:

- Identity (as per Jim/Rogerio 12/2011)
- Contacts (addresses, phone numbers, etc)
- Social network (significant others, GP, etc)

Does NOT act on/listen to the current patient.

Instance Methods
__init__(self, parent, id) | source code
refresh(self) Populate fields in pages with data from model. | source code

Class Variables
| identity = `property(_get_identity, _set_identity)`